Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/OS_NS_Thread.cpp File Reference

`#include "ace/OS_NS_Thread.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/Sched_Params.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/OS_Thread_Adapter.h"`
`#include "ace/Min_Max.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_ctype.h"`

Include dependency graph for OS_NS_Thread.cpp:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_TSS_Cleanup
| Singleton that knows how to clean up all the thread-specific resources for Win32. More...
## Defines
#define | ACE_THREAD_FUNCTION thread_args->entry_point ()
#define | ACE_THREAD_ARGUMENT thread_args
## Functions
const char * | get_rcsid_ace_OS_NS_Thread (const char *)
void | ace_mutex_lock_cleanup_adapter (void *args)
void | ACE_TSS_Cleanup_keys_destroyer (void *tss_keys)
## Variables
const char * | rcsid_ace_OS_NS_Thread = get_rcsid_ace_OS_NS_Thread ( rcsid_ace_OS_NS_Thread )

## Define Documentation

#define ACE_THREAD_ARGUMENT thread_args

#define ACE_THREAD_FUNCTION thread_args->entry_point ()

## Function Documentation

void ace_mutex_lock_cleanup_adapter | ( | void * | args | ) |

void ACE_TSS_Cleanup_keys_destroyer | ( | void * | tss_keys | ) |

const char* get_rcsid_ace_OS_NS_Thread | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_OS_NS_Thread = get_rcsid_ace_OS_NS_Thread ( rcsid_ace_OS_NS_Thread )`[static]`